Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface ProcessControlMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface ProcessControlMBean
extends weblogic.management.configuration.ConfigurationMBean

MBean for managing properties of a Process Control

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addPropertiesForSelector(String selectorValue, String targetURI, String userName, String password)` Adds a new selector value and associated initial values for various properties.
`String` | `getContextPath()` Returns the context-path of the webapp that contains the Process Control this MBean represents
`String` | `getControlClass()` Returns the fully-qualified class name of the Process Control this MBean represents
`com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument` | `getProperties(String selectorValue)` Returns the dynamic properties for the control represented by this MBean and a specific selector value
`String[]` | `getSelectorValues()` Returns all the selector values defined for this Process Control
`void` | `removeSelector(String selectorValue)` removes the given selector value and all properties associated with it.
`void` | `setProperties(String selectorValue, com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument props)` Sets the dynamic properties for the control represented by this MBean, for the specific selector value

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### getContextPath

    public String getContextPath()

  Returns the context-path of the webapp that contains the Process Control this MBean represents

  Returns:

### getControlClass

    public String getControlClass()

  Returns the fully-qualified class name of the Process Control this MBean represents

  Returns:

### getSelectorValues

    public String[] getSelectorValues()

  Returns all the selector values defined for this Process Control

  Returns:

### addPropertiesForSelector

    public void addPropertiesForSelector(String selectorValue,
                                         String targetURI,
                                         String userName,
                                         String password)
                                  throws javax.management.MBeanException

  Adds a new selector value and associated initial values for various properties. Throws MBeanException if the selector value already exists

  Parameters:
    `selectorValue` - new selector value
  Throws:
    `javax.management.MBeanException`

### getProperties

    public com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument getProperties(String selectorValue)
                                                                                         throws javax.management.MBeanException

  Returns the dynamic properties for the control represented by this MBean and a specific selector value

  Parameters:
    `selectorValue` -
  Returns:
    the dynamic properties or null if there is no entry matching the selector value
  Throws:
    `javax.management.MBeanException`

### setProperties

    public void setProperties(String selectorValue,
                              com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument props)
                       throws javax.management.MBeanException

  Sets the dynamic properties for the control represented by this MBean, for the specific selector value

  Parameters:
    `selectorValue` -
    `props` -
  Throws:
    `javax.management.MBeanException`

### removeSelector

    public void removeSelector(String selectorValue)
                        throws javax.management.MBeanException

  removes the given selector value and all properties associated with it. Throws MBeanException if the selector does not exist

  Parameters:
    `selectorValue` - - selector to be removed
  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD